# coding: utf-8
require File.expand_path('../../../lib/hikki/version', __FILE__)
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'hikki-redis'
  spec.version       = Hikki::VERSION
  spec.authors       = ['alexpeachey']
  spec.email         = ['alex.peachey@originate.com']
  spec.summary       = 'A Redis adapter for Hikki.'
  spec.description   = 'A Redis adapter for Hikki.'
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'hikki', Hikki::VERSION
  spec.add_dependency 'redis'

  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
end
